aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/exndbam_repository_TEST_setup.sh
diff options
context:
space:
mode:
authorAvatar Saleem Abdulrasool <compnerd@compnerd.org> 2013-05-24 22:12:45 -0700
committerAvatar Saleem Abdulrasool <compnerd@compnerd.org> 2013-05-27 10:20:08 -0700
commitd34636a1dc4f422aeb868e49447a0503c303f0a2 (patch)
tree744eaca3276801c0b22429a46ace39372c74fba0 /paludis/repositories/e/exndbam_repository_TEST_setup.sh
parent450c0331aca4600729216b9bff5d3e1b4e203871 (diff)
downloadpaludis-d34636a1dc4f422aeb868e49447a0503c303f0a2.tar.gz
paludis-d34636a1dc4f422aeb868e49447a0503c303f0a2.tar.xz
e repository: perform additional expart validation
When contents are partitioned, ensure that the partition name supplied has been declared previously. This will help identify packages which do not correctly indicate valid partition names. Signed-off-by: Saleem Abdulrasool <compnerd@compnerd.org>
Diffstat (limited to 'paludis/repositories/e/exndbam_repository_TEST_setup.sh')
-rwxr-xr-xpaludis/repositories/e/exndbam_repository_TEST_setup.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/paludis/repositories/e/exndbam_repository_TEST_setup.sh b/paludis/repositories/e/exndbam_repository_TEST_setup.sh
index 3f0244ea5..4d2311f62 100755
--- a/paludis/repositories/e/exndbam_repository_TEST_setup.sh
+++ b/paludis/repositories/e/exndbam_repository_TEST_setup.sh
@@ -10,6 +10,8 @@ mkdir -p root/etc
mkdir -p repo1/ || exit 1
+mkdir -p installed || exit 1
+mkdir -p parts/{metadata,profiles/profile,packages/category/partitioned} || exit 1
mkdir -p postinsttest postinsttest_src1/{eclass,profiles/profile,cat/pkg} || exit 1
cat <<END > postinsttest_src1/profiles/profile/make.defaults
@@ -58,3 +60,29 @@ sed -i -e 's/EAPI=1/EAPI=paludis-1/' postinsttest_src1/cat/pkg/pkg-1.ebuild
cp postinsttest_src1/cat/pkg/pkg-{1,1.1}.ebuild
cp postinsttest_src1/cat/pkg/pkg-{1,2}.ebuild
+echo '*/* PLATFORM: (test)' > parts/profiles/profile/options.conf
+cat <<- EOF > parts/profiles/profile/make.defaults
+CHOST="i686-pc-linux-gnu"
+EOF
+echo parts > parts/profiles/repo_name
+echo category > parts/metadata/categories.conf
+
+cat <<- EOF > parts/packages/category/partitioned/partitioned-0.exheres-0
+PLATFORMS="test"
+MYOPTIONS="parts: binaries"
+
+SLOT="0"
+
+src_unpack() {
+ edo mkdir -p "\${WORK}"
+}
+
+src_install() {
+ edo mkdir -p "\${IMAGE}"/usr/{bin,lib,share/man/man1}
+ edo touch "\${IMAGE}"/usr/{bin/binary,lib/library.{so,a},share/man/man1/expart.1}
+
+ expart binaries /usr/bin
+ expart libraries /usr/lib
+}
+EOF
+